#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xfce4-settings
Version		:	4.19.3
Release		:	17.2.0.rel%{?dist}

Summary		:	A collection of programs that are useful for adjusting your Xfce preferences
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://archive.xfce.org/src/xfce/xfce4-settings 

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	at-spi2-core-devel
BuildRequires	:	exo-devel
BuildRequires	:	garcon
BuildRequires	:	gobject-introspection
BuildRequires	:	libxfce4ui
BuildRequires	:	libxklavier-devel

Requires	:	gnome-icon-theme
Requires	:	lxde-icon-theme
#-----------------------------------------------------------------------------
%description
The %{name} package contains a collection of programs that are
useful for adjusting your Xfce preferences. 

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_sysconfdir}/xdg/autostart/*.desktop
%{_sysconfdir}/xdg/menus/*.menu
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/xsettings.xml
%{_sysconfdir}/xdg/xfce4/helpers.rc
%{_bindir}/xfce4-*-settings
%{_bindir}/xfce4-find-cursor
%{_bindir}/xfce4-mime-helper
%{_bindir}/xfce4-settings-editor
%{_bindir}/xfce4-settings-manager
%{_bindir}/xfsettingsd
%{_libdir}/gtk-3.0/modules/libxfsettingsd-gtk-settings-sync.so
%{_libdir}/xfce4/xfce4-compose-mail
%{_libdir}/xfce4/settings/appearance-install-theme
%{_datadir}/xfce4/helpers/*.desktop
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/devices/*.png
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/icons/hicolor/scalable/devices/*.svg

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--sysconfdir=%{_sysconfdir}			\
	--libdir=%{_libdir}				\
	--libexecdir=%{_libexecdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%find_lang	%{name}
#-----------------------------------------------------------------------------
%changelog
